Skip to main content
`Ctrl`+`K`

# pandas.IntervalIndex.from_breaks

classmethod IntervalIndex.from_breaks(breaks, closed='right', name=None, copy=False, dtype=None)

  Construct an IntervalIndex from an array of splits.

  Parameters:
    breaks array-like (1-dimensional)

      Left and right bounds for each interval.

    closed{‘left’, ‘right’, ‘both’, ‘neither’}, default ‘right’

      Whether the intervals are closed on the left-side, right-side, both or neither.

    name str, optional

      Name of the resulting IntervalIndex.

    copy bool, default False

      Copy the data.

    dtype dtype or None, default None

      If None, dtype will be inferred.

  Returns:
    IntervalIndex

  See also

  `interval_range`

    Function to create a fixed frequency IntervalIndex.

  `IntervalIndex.from_arrays`

    Construct from a left and right array.

  `IntervalIndex.from_tuples`

    Construct from a sequence of tuples.

  Examples

      >>> pd.IntervalIndex.from_breaks([0, 1, 2, 3])
      IntervalIndex([(0, 1], (1, 2], (2, 3]],
                    dtype='interval[int64, right]')